// swift-tools-version:5.5
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "SwiftObjCSwift",
    platforms: [
        .iOS(.v14), .macOS(.v10_15), .tvOS(.v13), .watchOS(.v6)
    ],
    products: [
        .library(name: "SwiftObjCSwift", targets: ["SwiftTarget"])
    ],
    targets: [
        .target(
            name: "SwiftTarget",
            path: "SwiftTarget"
        ),
        .target(
            name: "ObjcTarget",
            dependencies: ["SwiftTarget"],
            path: "ObjcTarget",
            publicHeadersPath: ""
        ),
        .testTarget(
            name: "SwiftTestTarget",
            dependencies: ["ObjcTarget"],
            path: "SwiftTestTarget"
        )
    ]
)
